# Uses of Interface
org.springframework.web.context.WebApplicationContext

Packages that use WebApplicationContext
Package
Description
org.springframework.web.bind.support
Support classes for web data binding.
org.springframework.web.context
Contains a variant of the application context interface for web applications, and the ContextLoaderListener that bootstraps a root web application context.
org.springframework.web.context.support
Classes supporting the `org.springframework.web.context` package, such as WebApplicationContext implementations and various utility classes.
org.springframework.web.filter
Provides generic filter base classes allowing for bean-style configuration.
org.springframework.web.jsf
Support classes for integrating a JSF web layer with a Spring service layer which is hosted in a Spring root WebApplicationContext.
org.springframework.web.jsf.el
ELResolvers for integrating a JSF web layer with a Spring service layer which is hosted in a Spring root WebApplicationContext.

## Uses of WebApplicationContext in org.springframework.web.bind.support

Methods in org.springframework.web.bind.support that return WebApplicationContext
Modifier and Type
Method
Description
`protected WebApplicationContext`
SpringWebConstraintValidatorFactory.`getWebApplicationContext()`
Retrieve the Spring `WebApplicationContext` to use.

## Uses of WebApplicationContext in org.springframework.web.context

Subinterfaces of WebApplicationContext in org.springframework.web.context
Modifier and Type
Interface
Description
`interface`
`ConfigurableWebApplicationContext`
Interface to be implemented by configurable web application contexts.
Methods in org.springframework.web.context that return WebApplicationContext
Modifier and Type
Method
Description
`protected abstract WebApplicationContext`
AbstractContextLoaderInitializer.`createRootApplicationContext()`
Create the "root" application context to be provided to the `ContextLoaderListener`.
`protected WebApplicationContext`
ContextLoader.`createWebApplicationContext(ServletContext sc)`
Instantiate the root WebApplicationContext for this loader, either the default context class or a custom context class if specified.
`static WebApplicationContext`
ContextLoader.`getCurrentWebApplicationContext()`
Obtain the Spring root web application context for the current thread (i.e.
`WebApplicationContext`
ContextLoader.`initWebApplicationContext(ServletContext servletContext)`
Initialize Spring's web application context for the given servlet context, using the application context provided at construction time, or creating a new one according to the "`contextClass`" and "`contextConfigLocation`" context-params.
Constructors in org.springframework.web.context with parameters of type WebApplicationContext
Modifier
Constructor
Description
``
`ContextLoader(WebApplicationContext rootContext)`
Create a new `ContextLoader` with the given application context.
``
`ContextLoaderListener(WebApplicationContext rootContext)`
Create a new `ContextLoaderListener` with the given application context, initializing it with the `ServletContextEvent`-provided `ServletContext` reference which is spec-restricted in terms of capabilities.
``
`ContextLoaderListener(WebApplicationContext rootContext, ServletContext servletContext)`
Create a new `ContextLoaderListener` with the given application context.

## Uses of WebApplicationContext in org.springframework.web.context.support

Classes in org.springframework.web.context.support that implement WebApplicationContext
Modifier and Type
Class
Description
`class`
`AbstractRefreshableWebApplicationContext`
`AbstractRefreshableApplicationContext` subclass which implements the `ConfigurableWebApplicationContext` interface for web environments.
`class`
`AnnotationConfigWebApplicationContext`
`WebApplicationContext` implementation which accepts component classes as input — in particular `@Configuration` classes, but also plain `@Component` classes as well as JSR-330 compliant classes using `jakarta.inject` annotations.
`class`
`GenericWebApplicationContext`
Subclass of `GenericApplicationContext`, suitable for web environments.
`class`
`GroovyWebApplicationContext`
`WebApplicationContext` implementation which takes its configuration from Groovy bean definition scripts and/or XML files, as understood by a `GroovyBeanDefinitionReader`.
`class`
`StaticWebApplicationContext`
Static `WebApplicationContext` implementation for testing.
`class`
`XmlWebApplicationContext`
`WebApplicationContext` implementation which takes its configuration from XML documents, understood by an `XmlBeanDefinitionReader`.
Methods in org.springframework.web.context.support that return WebApplicationContext
Modifier and Type
Method
Description
`static WebApplicationContext`
WebApplicationContextUtils.`findWebApplicationContext(ServletContext sc)`
Find a unique `WebApplicationContext` for this web app: either the root web app context (preferred) or a unique `WebApplicationContext` among the registered `ServletContext` attributes (typically coming from a single `DispatcherServlet` in the current web application).
`static WebApplicationContext`
WebApplicationContextUtils.`getRequiredWebApplicationContext(ServletContext sc)`
Find the root `WebApplicationContext` for this web app, typically loaded via `ContextLoaderListener`.
`final WebApplicationContext`
ContextExposingHttpServletRequest.`getWebApplicationContext()`
Return the WebApplicationContext that this request runs in.
`static WebApplicationContext`
WebApplicationContextUtils.`getWebApplicationContext(ServletContext sc)`
Find the root `WebApplicationContext` for this web app, typically loaded via `ContextLoaderListener`.
`static WebApplicationContext`
WebApplicationContextUtils.`getWebApplicationContext(ServletContext sc, String attrName)`
Find a custom `WebApplicationContext` for this web app.
`protected final WebApplicationContext`
WebApplicationObjectSupport.`getWebApplicationContext()`
Return the current application context as WebApplicationContext.
Constructors in org.springframework.web.context.support with parameters of type WebApplicationContext
Modifier
Constructor
Description
``
`ContextExposingHttpServletRequest(HttpServletRequest originalRequest, WebApplicationContext context)`
Create a new ContextExposingHttpServletRequest for the given request.
``
`ContextExposingHttpServletRequest(HttpServletRequest originalRequest, WebApplicationContext context, Set<String> exposedContextBeanNames)`
Create a new ContextExposingHttpServletRequest for the given request.

## Uses of WebApplicationContext in org.springframework.web.filter

Methods in org.springframework.web.filter that return WebApplicationContext
Modifier and Type
Method
Description
`protected WebApplicationContext`
DelegatingFilterProxy.`findWebApplicationContext()`
Return the `WebApplicationContext` passed in at construction time, if available.
Methods in org.springframework.web.filter with parameters of type WebApplicationContext
Modifier and Type
Method
Description
`protected Filter`
DelegatingFilterProxy.`initDelegate(WebApplicationContext wac)`
Initialize the Filter delegate, defined as bean the given Spring application context.
Constructors in org.springframework.web.filter with parameters of type WebApplicationContext
Modifier
Constructor
Description
``
`DelegatingFilterProxy(String targetBeanName, WebApplicationContext wac)`
Create a new `DelegatingFilterProxy` that will retrieve the named target bean from the given Spring `WebApplicationContext`.

## Uses of WebApplicationContext in org.springframework.web.jsf

Methods in org.springframework.web.jsf that return WebApplicationContext
Modifier and Type
Method
Description
`static WebApplicationContext`
FacesContextUtils.`getRequiredWebApplicationContext(FacesContext fc)`
Find the root `WebApplicationContext` for this web app, typically loaded via `ContextLoaderListener`.
`protected WebApplicationContext`
DelegatingNavigationHandlerProxy.`getWebApplicationContext(FacesContext facesContext)`
Retrieve the web application context to delegate bean name resolution to.
`protected WebApplicationContext`
DelegatingPhaseListenerMulticaster.`getWebApplicationContext(FacesContext facesContext)`
Retrieve the web application context to delegate bean name resolution to.
`static WebApplicationContext`
FacesContextUtils.`getWebApplicationContext(FacesContext fc)`
Find the root `WebApplicationContext` for this web app, typically loaded via `ContextLoaderListener`.

## Uses of WebApplicationContext in org.springframework.web.jsf.el

Methods in org.springframework.web.jsf.el that return WebApplicationContext
Modifier and Type
Method
Description
`protected WebApplicationContext`
SpringBeanFacesELResolver.`getWebApplicationContext(ELContext elContext)`
Retrieve the web application context to delegate bean name resolution to.
`protected WebApplicationContext`
WebApplicationContextFacesELResolver.`getWebApplicationContext(ELContext elContext)`
Retrieve the `WebApplicationContext` reference to expose.